Name:           mbs-messaging-umb
Version:        0.2.0
Release:        1%{?dist}
Summary:        A plugin for the Module Build Service to support the Unified Message Bus

Group:          Development/Libraries
License:        MIT
URL:            https://github.com/release-engineering/mbs-messaging-umb
Source:         https://github.com/release-engineering/%{name}/archive/%{version}.tar.gz

BuildRequires: python3-devel
BuildRequires: python3-setuptools

Requires: python3-fedmsg
Requires: python3-jsonpath-rw
Requires: python3-stomppy

BuildArch: noarch

%description
The Module Build Service is a system for building individual components (rpms)
and aggregating them into modules which can be treated as discrete units for
testing and deployment.

The MBS was originally built to work with fedmsg. However, it has a pluggable
system for message parsing and publising. This package provides a plugin that
enables fully config-driven message parsing, and publishing using STOMP.

%prep
%setup -q -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

%files
%defattr(-,root,root,-)
%license LICENSE
%doc README.md
%{python3_sitelib}/mbs_messaging_umb*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/config.py*

%changelog
* Thu Jun 24 2021 Mike Bonnet <mikeb@redhat.com> - 0.2.0-1
- Update to the latest version of stomp.py

* Fri Apr 17 2020 Mike Bonnet <mikeb@redhat.com> - 0.1.4-1
- Update message mapping config

* Thu Nov 14 2019 Mike Bonnet <mikeb@redhat.com> - 0.1.3-1
- Drop MBS message objects

* Wed May 29 2019 Mike Bonnet <mikeb@redhat.com> - 0.1.2-1
- Fix the Greenwave mapping

* Fri Apr 12 2019 Mike Bonnet <mikeb@redhat.com> - 0.1.1-1
- Add a parser for Greenwave decision update messages

* Mon Feb 11 2019 Mike Bonnet <mikeb@redhat.com> - 0.1.0-2
- Build with Python 3

* Thu Nov 29 2018 Matt Prahl <mprahl@redhat.com> - 0.1.0-1
- Start using stomp.py v4

* Tue Aug 07 2018 Ralph Bean <rbean@redhat.com> - 0.0.4-1
- Add the nvr to KojiTagChange messages (FACTORY-2825)

* Mon Aug 06 2018 Ralph Bean <rbean@redhat.com> - 0.0.3-1
- Add the build_id to KojiTagChange messages (FACTORY-2825)
  https://github.com/release-engineering/mbs-messaging-umb/pull/3

* Wed Sep 27 2017 Mike Bonnet <mikeb@redhat.com> - 0.0.2-1
- Fix mapping for MBSModule messages
- Include tests in the tarball
- Documentation fixes
- New location of upstream project

* Thu Sep 21 2017 Mike Bonnet <mikeb@redhat.com> - 0.0.1-2
- Add missing Requires

* Thu Sep 21 2017 Mike Bonnet <mikeb@redhat.com> - 0.0.1-1
- Initial build
